/*
**  Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/
/*
**
** Author: Ralph Meyer
**	   Oldenburg University
**	   Germany		
** 
** Module: asccond
**
** Purpose: 
**	Configuration facility
**
**	Module Prefix: CNF_
**
** Created:	06/1993
**
** Last Update:		hewett
** Update Date:		1996/03/28 19:24:59
** Source File:		/share/dicom/cvs-depot/dcmtk/imagectn/apps/cnfpriv.h,v
** CVS/RCS Revision:	1.1.1.1
** Status:		Exp
**
** CVS/RCS Log at end of file
**
*/


#ifndef CNF_CONFPRIV_H
#define CNF_CONFPRIV_H

#include "osconfig.h"    /* make sure OS specific configuration is included first */

/* includes */
#include <stdio.h>

/* typedefs */
typedef struct {
    int	maxStudies;
    long	maxBytesPerStudy;
} Quota;

typedef	struct {
    char	*ApplicationTitle;
    char	*HostName;
    int	PortNumber;
} Peer;

/* Configuration Parameters (not yet complete) */

struct 	AEEntry {
    char		*ApplicationTitle;
    char		*StorageArea;
    char		*Access;	
    Quota		*StorageQuota;
    int		noOfPeers;
    Peer		*Peers;
};

/* configuration structure */
struct	Configuration {
    /* global Configuration Parameters */
    char		*ApplicationTitle;
    char		*ApplicationContext;
    char		*ImplementationClass;
    char		*ImplementationVersion;
    char		*NetworkType;
    int		NetworkTCPPort;
    int		MaxPDUSize;
    int		MaxAssociations;
    int		Display;
    int		DisplayPort;
    
   /* AETable Entries */
    int		noOfAEEntries;
    AEEntry	*AEEntries;
};

/* HostTable Entries */
struct	HostEntry {
    char *SymbolicName;
    int noOfPeers;
    Peer *Peers;
};

/* Host and Vendor Table */
struct HostTable {
    int		noOfHostEntries;
    HostEntry   *HostEntries;
};

/*
 * global structures
 */
extern struct Configuration CNF_Config;
extern struct HostTable CNF_HETable;
extern struct HostTable CNF_VendorTable;

/* local functions */
void CNF_initConfigStruct();
void CNF_panic(char *fmt, ...);
int CNF_checkForComplete();
int CNF_readConfigLines(FILE *cnffp);

#endif

/*
** CVS Log
** cnfpriv.h,v
** Revision 1.1.1.1  1996/03/28 19:24:59  hewett
** Oldenburg Image CTN Software ported to use the dcmdata C++ toolkit.
**
**
*/
